Bug 320537 - Crash when applying config - KScreen::Mode::size (this=0x0)
Summary: Crash when applying config - KScreen::Mode::size (this=0x0)
Status: RESOLVED FIXED
Alias: None
Product: KScreen
Classification: Unclassified
Component: libkscreen (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
: 320397 320414 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-05-31 13:44 UTC by Nick Leverton
Modified: 2013-07-25 20:58 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.0.1


Attachments
Output from "kscreen-console bug" as requested (13.70 KB, text/plain)
2013-06-04 10:24 UTC, Nick Leverton
Details
"kscreen-console bug" output after crash (11.25 KB, text/plain)
2013-07-01 18:08 UTC, Alexander
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Leverton 2013-05-31 13:44:37 UTC
Application: kded4 (4.10.3)
KDE Platform Version: 4.10.3
Qt Version: 4.8.4
Operating System: Linux 3.8.0-22-generic i686
Distribution: Ubuntu 13.04

-- Information about the crash:
As per subject.  Upgraded from Quantal with KUbuntu 4.10.2 beta PPA packages to Raring with KBunutu 4.10.3.  Early in first startup, kded crashed as attached.

KDE startup seemed to complete OK and is now running so have not retried yet,

-- Backtrace:
Application: KDE Dæmon (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb5685740 (LWP 2935))]

Thread 4 (Thread 0xabc72b40 (LWP 2955)):
#0  0xb5a53c34 in __pthread_mutex_unlock_usercnt (mutex=0xac7021d8, decr=1) at pthread_mutex_unlock.c:52
#1  0xb5fb5fc4 in pthread_mutex_unlock (mutex=0xac7021d8) at forward.c:194
#2  0xb59cfd70 in g_mutex_unlock (mutex=mutex@entry=0xac702160) at /build/buildd/glib2.0-2.36.0/./glib/gthread-posix.c:229
#3  0xb598b8e1 in g_main_context_release (context=context@entry=0xac702160) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3172
#4  0xb598c678 in g_main_context_iterate (context=context@entry=0xac702160, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3703
#5  0xb598c831 in g_main_context_iteration (context=0xac702160, may_block=1) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3762
#6  0xb6dd0c3f in QEventDispatcherGlib::processEvents (this=0xac7020e8, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb6d9d3ec in QEventLoop::processEvents (this=this@entry=0xabc72238, flags=...) at kernel/qeventloop.cpp:149
#8  0xb6d9d6e1 in QEventLoop::exec (this=this@entry=0xabc72238, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6c88fec in QThread::exec (this=0x9178330) at thread/qthread.cpp:542
#10 0xaea3d402 in KCupsConnection::run() () from /usr/lib/libkcupslib.so
#11 0xb6c8bb18 in QThreadPrivate::start (arg=0x9178330) at thread/qthread_unix.cpp:338
#12 0xb5a50d78 in start_thread (arg=0xabc72b40) at pthread_create.c:311
#13 0xb5fa83de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 3 (Thread 0xab471b40 (LWP 2956)):
#0  0xb7769424 in __kernel_vsyscall ()
#1  0xb5fbb8e2 in clock_gettime (clock_id=1, tp=0xab470f98) at ../sysdeps/unix/clock_gettime.c:115
#2  0xb6cea0d5 in do_gettime (frac=0xab470f90, sec=0xab470f88) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0xb6dd180e in QTimerInfoList::updateCurrentTime (this=this@entry=0x91c8004) at kernel/qeventdispatcher_unix.cpp:354
#5  0xb6dd1b9a in QTimerInfoList::timerWait (this=0x91c8004, tm=...) at kernel/qeventdispatcher_unix.cpp:461
#6  0xb6dd0373 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xab4710bc) at kernel/qeventdispatcher_glib.cpp:136
#7  0xb6dd040d in timerSourcePrepare (source=0x91c7fd0, timeout=0xab4710bc) at kernel/qeventdispatcher_glib.cpp:169
#8  0xb598bd21 in g_main_context_prepare (context=context@entry=0x9313500, priority=priority@entry=0xab471128) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3328
#9  0xb598c5cf in g_main_context_iterate (context=context@entry=0x9313500, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3681
#10 0xb598c831 in g_main_context_iteration (context=0x9313500, may_block=1) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3762
#11 0xb6dd0c3f in QEventDispatcherGlib::processEvents (this=0x928a738, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0xb6d9d3ec in QEventLoop::processEvents (this=this@entry=0xab471258, flags=...) at kernel/qeventloop.cpp:149
#13 0xb6d9d6e1 in QEventLoop::exec (this=this@entry=0xab471258, flags=...) at kernel/qeventloop.cpp:204
#14 0xb6c88fec in QThread::exec (this=this@entry=0x925e7e0) at thread/qthread.cpp:542
#15 0xb6c8914b in QThread::run (this=0x925e7e0) at thread/qthread.cpp:609
#16 0xb6c8bb18 in QThreadPrivate::start (arg=0x925e7e0) at thread/qthread_unix.cpp:338
#17 0xb5a50d78 in start_thread (arg=0xab471b40) at pthread_create.c:311
#18 0xb5fa83de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 2 (Thread 0xaac70b40 (LWP 2958)):
#0  g_mutex_get_impl (mutex=0xac802408) at /build/buildd/glib2.0-2.36.0/./glib/gthread-posix.c:123
#1  0xb59cfd28 in g_mutex_lock (mutex=mutex@entry=0xac802408) at /build/buildd/glib2.0-2.36.0/./glib/gthread-posix.c:210
#2  0xb598c026 in g_main_context_check (context=context@entry=0xac802408, max_priority=2147483647, fds=fds@entry=0xac803f00, n_fds=n_fds@entry=1) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3491
#3  0xb598c662 in g_main_context_iterate (context=context@entry=0xac802408, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3698
#4  0xb598c831 in g_main_context_iteration (context=0xac802408, may_block=1) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3762
#5  0xb6dd0c3f in QEventDispatcherGlib::processEvents (this=0xac802390, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb6d9d3ec in QEventLoop::processEvents (this=this@entry=0xaac70228, flags=...) at kernel/qeventloop.cpp:149
#7  0xb6d9d6e1 in QEventLoop::exec (this=this@entry=0xaac70228, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6c88fec in QThread::exec (this=this@entry=0x9130238) at thread/qthread.cpp:542
#9  0xb6d7cf2d in QInotifyFileSystemWatcherEngine::run (this=0x9130238) at io/qfilesystemwatcher_inotify.cpp:256
#10 0xb6c8bb18 in QThreadPrivate::start (arg=0x9130238) at thread/qthread_unix.cpp:338
#11 0xb5a50d78 in start_thread (arg=0xaac70b40) at pthread_create.c:311
#12 0xb5fa83de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 1 (Thread 0xb5685740 (LWP 2935)):
[KCrash Handler]
#7  KScreen::Mode::size (this=0x0) at /build/buildd/libkscreen-0.0.92/src/mode.cpp:83
#8  0xadbcb89d in XRandRConfig::applyKScreenConfig (this=0x924fc78, config=config@entry=0x920f870) at /build/buildd/libkscreen-0.0.92/backends/xrandr/xrandrconfig.cpp:164
#9  0xadbc6169 in XRandR::setConfig (this=0x9241aa0, config=0x920f870) at /build/buildd/libkscreen-0.0.92/backends/xrandr/xrandr.cpp:142
#10 0xadba66f5 in KScreen::Config::setConfig (config=0x920f870) at /build/buildd/libkscreen-0.0.92/src/config.cpp:66
#11 0xadbdcb97 in KScreenDaemon::applyIdealConfig (this=this@entry=0x924ab40) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:109
#12 0xadbdce63 in KScreenDaemon::applyConfig (this=this@entry=0x924ab40) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:89
#13 0xadbdcf37 in KScreenDaemon::init (this=this@entry=0x924ab40) at /build/buildd/kscreen-0.0.92/kded/daemon.cpp:78
#14 0xadbdb534 in qt_static_metacall (_a=0xbf8a58ec, _id=2, _o=0x924ab40, _c=<optimized out>) at /build/buildd/kscreen-0.0.92/obj-i686-linux-gnu/kded/moc_daemon.cpp:81
#15 KScreenDaemon::qt_static_metacall (_o=0x924ab40, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf8a58ec) at /build/buildd/kscreen-0.0.92/obj-i686-linux-gnu/kded/moc_daemon.cpp:73
#16 0xb6db4b56 in QMetaObject::activate (sender=sender@entry=0x92460f8, m=m@entry=0xadbecd48 <Generator::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#17 0xadbdb245 in Generator::ready (this=0x92460f8) at /build/buildd/kscreen-0.0.92/obj-i686-linux-gnu/kded/moc_generator.cpp:98
#18 0xb6db4b56 in QMetaObject::activate (sender=sender@entry=0x923a4c0, m=m@entry=0xadbecd30 <Device::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#19 0xadbdb2a5 in Device::ready (this=this@entry=0x923a4c0) at /build/buildd/kscreen-0.0.92/obj-i686-linux-gnu/kded/moc_device.cpp:113
#20 0xadbe5e75 in Device::setReady (this=this@entry=0x923a4c0) at /build/buildd/kscreen-0.0.92/kded/device.cpp:80
#21 0xadbe66b9 in fetchIsDocked (this=0x923a4c0) at /build/buildd/kscreen-0.0.92/kded/device.cpp:157
#22 Device::isLidClosedFetched (this=this@entry=0x923a4c0, watcher=0x913d290) at /build/buildd/kscreen-0.0.92/kded/device.cpp:152
#23 0xadbdb3e1 in Device::qt_static_metacall (_o=0x923a4c0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbf8a5bf8) at /build/buildd/kscreen-0.0.92/obj-i686-linux-gnu/kded/moc_device.cpp:65
#24 0xb6db4b56 in QMetaObject::activate (sender=sender@entry=0x913d290, m=m@entry=0xb5bbbb18 <QDBusPendingCallWatcher::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0xbf8a5bf8) at kernel/qobject.cpp:3539
#25 0xb5b9bcf5 in QDBusPendingCallWatcher::finished (this=0x913d290, _t1=0x913d290) at .moc/release-shared/moc_qdbuspendingcall.cpp:106
#26 0xb5b9bd5d in _q_finished (this=<optimized out>) at qdbuspendingcall.cpp:485
#27 QDBusPendingCallWatcher::qt_static_metacall (_o=0x913d290, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x933b580) at .moc/release-shared/moc_qdbuspendingcall.cpp:55
#28 0xb6db0b4a in QMetaCallEvent::placeMetaCall (this=0x935ccd0, object=0x913d290) at kernel/qobject.cpp:524
#29 0xb6dba48b in QObject::event (this=0x913d290, e=0x935ccd0) at kernel/qobject.cpp:1194
#30 0xb628dc7c in QApplicationPrivate::notify_helper (this=0x9058ed8, receiver=0x913d290, e=0x935ccd0) at kernel/qapplication.cpp:4567
#31 0xb6290b94 in QApplication::notify (this=0x935ccd0, receiver=0x913d290, e=0x935ccd0) at kernel/qapplication.cpp:3949
#32 0xb74f0d01 in KApplication::notify (this=0xbf8a6f4c, receiver=0x913d290, event=0x935ccd0) at ../../kdeui/kernel/kapplication.cpp:311
#33 0xb6d9e90e in QCoreApplication::notifyInternal (this=0xbf8a6f4c, receiver=0x913d290, event=0x935ccd0) at kernel/qcoreapplication.cpp:946
#34 0xb6da2721 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#35 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8fe6f88) at kernel/qcoreapplication.cpp:1570
#36 0xb6da2a8c in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#37 0xb6dd0aa4 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#38 postEventSourceDispatch (s=s@entry=0x9059318) at kernel/qeventdispatcher_glib.cpp:279
#39 0xb598c3b3 in g_main_dispatch (context=0x90592a0, context@entry=0x8fe57b0) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3054
#40 g_main_context_dispatch (context=context@entry=0x90592a0) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3630
#41 0xb598c750 in g_main_context_iterate (context=context@entry=0x90592a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3701
#42 0xb598c831 in g_main_context_iteration (context=0x90592a0, may_block=1) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3762
#43 0xb6dd0c21 in QEventDispatcherGlib::processEvents (this=this@entry=0x8fe7ae8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#44 0xb6344a5a in QGuiEventDispatcherGlib::processEvents (this=0x8fe7ae8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#45 0xb6d9d3ec in QEventLoop::processEvents (this=this@entry=0xbf8a63c8, flags=...) at kernel/qeventloop.cpp:149
#46 0xb6d9d6e1 in QEventLoop::exec (this=0xbf8a63c8, flags=...) at kernel/qeventloop.cpp:204
#47 0xb5b63954 in QDBusConnectionPrivate::sendWithReply (this=0x917bb50, message=..., sendMode=152829136, timeout=-1) at qdbusintegrator.cpp:1932
#48 0xb5b4f063 in QDBusConnection::call (this=0xbf8a64ec, message=..., mode=QDBus::NoBlock, timeout=-1081452928) at qdbusconnection.cpp:597
#49 0xae6cf40a in ?? () from /usr/lib/kde4/kded_colord.so
#50 0xae6d2893 in ?? () from /usr/lib/kde4/kded_colord.so
#51 0xae6d4d20 in ?? () from /usr/lib/kde4/kded_colord.so
#52 0xae6c7634 in ?? () from /usr/lib/kde4/kded_colord.so
#53 0xb6db0b4a in QMetaCallEvent::placeMetaCall (this=0x9222c08, object=0x917e690) at kernel/qobject.cpp:524
#54 0xb6dba48b in QObject::event (this=0x917e690, e=0x9222c08) at kernel/qobject.cpp:1194
#55 0xb628dc7c in QApplicationPrivate::notify_helper (this=0x9058ed8, receiver=0x917e690, e=0x9222c08) at kernel/qapplication.cpp:4567
#56 0xb6290b94 in QApplication::notify (this=0x9222c08, receiver=0x917e690, e=0x9222c08) at kernel/qapplication.cpp:3949
#57 0xb74f0d01 in KApplication::notify (this=0xbf8a6f4c, receiver=0x917e690, event=0x9222c08) at ../../kdeui/kernel/kapplication.cpp:311
#58 0xb6d9e90e in QCoreApplication::notifyInternal (this=0xbf8a6f4c, receiver=0x917e690, event=0x9222c08) at kernel/qcoreapplication.cpp:946
#59 0xb6da2721 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#60 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8fe6f88) at kernel/qcoreapplication.cpp:1570
#61 0xb6da2a8c in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#62 0xb6dd0aa4 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#63 postEventSourceDispatch (s=s@entry=0x9059318) at kernel/qeventdispatcher_glib.cpp:279
#64 0xb598c3b3 in g_main_dispatch (context=0x90592a0, context@entry=0x8fe57b0) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3054
#65 g_main_context_dispatch (context=context@entry=0x90592a0) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3630
#66 0xb598c750 in g_main_context_iterate (context=context@entry=0x90592a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3701
#67 0xb598c831 in g_main_context_iteration (context=0x90592a0, may_block=1) at /build/buildd/glib2.0-2.36.0/./glib/gmain.c:3762
#68 0xb6dd0c21 in QEventDispatcherGlib::processEvents (this=this@entry=0x8fe7ae8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#69 0xb6344a5a in QGuiEventDispatcherGlib::processEvents (this=0x8fe7ae8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#70 0xb6d9d3ec in QEventLoop::processEvents (this=this@entry=0xbf8a6db8, flags=...) at kernel/qeventloop.cpp:149
#71 0xb6d9d6e1 in QEventLoop::exec (this=this@entry=0xbf8a6db8, flags=...) at kernel/qeventloop.cpp:204
#72 0xb6da33fa in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#73 0xb628bfc4 in QApplication::exec () at kernel/qapplication.cpp:3828
#74 0xb547ad40 in kdemain (argc=1, argv=0x90375c8) at ../../kded/kded.cpp:925
#75 0x0804f6df in launch (argc=argc@entry=1, _name=_name@entry=0x805225b "kded4", args=<optimized out>, args@entry=0x0, cwd=cwd@entry=0x0, envc=envc@entry=0, envs=<optimized out>, envs@entry=0x0, reset_env=reset_env@entry=false, tty=tty@entry=0x0, avoid_loops=avoid_loops@entry=false, startup_id_str=startup_id_str@entry=0x80520ea "0") at ../../kinit/kinit.cpp:738
#76 0x0804c93a in main (argc=4, argv=0xbf8a75a4, envp=0xbf8a75b8) at ../../kinit/kinit.cpp:1853

Reported using DrKonqi
Comment 1 Daniel Vrátil 2013-06-01 09:12:18 UTC
Can you please provide output from "kscreen-console bug"? Thanks
Comment 2 Nick Leverton 2013-06-04 10:24:53 UTC
Created attachment 80288 [details]
Output from "kscreen-console bug" as requested
Comment 3 Daniel Vrátil 2013-06-06 15:24:31 UTC
*** Bug 320414 has been marked as a duplicate of this bug. ***
Comment 4 Daniel Vrátil 2013-06-06 15:26:14 UTC
*** Bug 320397 has been marked as a duplicate of this bug. ***
Comment 5 Alex Fiestas 2013-06-10 10:11:47 UTC
You had both displays connected when this crash happened? has it happened anymore?
Comment 6 Alex Fiestas 2013-06-13 16:45:51 UTC
More questions, was the lid of the laptop closed when this happened?

Also, if anybody can reproduce this, can you do the following?

1-execute kdebugdialog and enable anything with "kded" on the name, and KSRandr
2-killall -9 kded4; kded4 --nofork (in a terminal)
3-reproduce the bug
4-grab the output and put it here.

Thanks !
Comment 7 Daniel Vrátil 2013-06-28 10:55:43 UTC
*** Bug 321699 has been marked as a duplicate of this bug. ***
Comment 8 Alexander 2013-07-01 18:02:08 UTC
(In reply to comment #6)
> 2-killall -9 kded4; kded4 --nofork (in a terminal)
Crashes after this line; crash dump is about 3 MB, I can attach it if needed.
============================================================================
alykoshin@alykoshin-nb-kubuntu:~/webrtc/8-Test$ kdebugdialog
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
alykoshin@alykoshin-nb-kubuntu:~/webrtc/8-Test$ killall -9 kded4; kded4 --nofork
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kded(31469)/kdecore (KStartupInfo) KStartupInfo::createNewStartupId: creating:  "alykoshin-nb-kubuntu;1372701364;364235;31469_TIME0" : "kded4"
kded(31469)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/var/tmp/kdecache-alykoshin/ksycoca4"
kded(31469) ColorD::connectToDisplay: Using XRANDR extension 1.3 or greater.
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "colord"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "colord"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "dnssdwatcher"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "dnssdwatcher"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "powerdevil"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "powerdevil"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "ktimezoned"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "ktimezoned"
kded(31469): BEGIN: Loading backend
kded(31469)/KSRandr   XRandRX11Helper::XRandRX11Helper: Detected XRandR 1.4
kded(31469)/KSRandr   XRandRX11Helper::XRandRX11Helper: Event Base:  90
kded(31469)/KSRandr   XRandRX11Helper::XRandRX11Helper: Event Error:  147
kded(31469)   BackendLoader::init: Loading "XRandR" backend
kded(31469): END__: Loading backend [Took: 0.11s]
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "kscreen"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "kscreen"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "StatusNotifierWatcher"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "statusnotifierwatcher"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "statusnotifierwatcher"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "solidautoeject"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "solidautoeject"
QDBusObjectPath: invalid path ""
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "obexftpdaemon"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "obexftpdaemon"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "khotkeys"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "khotkeys"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "networkstatus"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "networkstatus"
kded(31469): device list missing for company ID:  "08ca" 
kded(31469) Wacom::DeviceHandler::detectDeviceInformation: device info not found for device ID:  "0001"  :: company "Toshiba"
kded(31469) Wacom::DeviceHandler::detectDeviceInformation: device info not found for device ID:  "0001"  :: company "Unknown company"
kded(31469) Wacom::DeviceHandler::detectDeviceInformation: device info not found for device ID:  "0001"  :: company "Waltop"
kded(31469): device list missing for company ID:  "17ef" 
kded(31469): device list missing for company ID:  "1b96" 
kded(31469) Wacom::DeviceHandler::detectDeviceInformation: device info not found for device ID:  "0001"  :: company "Wacom Co., Ltd"
kded(31469) Wacom::DeviceHandler::detectTablet: XInput found a device! :: "" "0001"
kded(31469): unknown device backend! "" 
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "wacomtablet"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "wacomtablet"
QDBusObjectPath: invalid path "/modules/muon-notifier"
kded(31469): The kded module name ' "muon-notifier" ' is invalid! 
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "muon-notifier"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "printmanager"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "printmanager"
QDBusConnection for control created "/Mixers/PulseAudio__Playback_Devices_1/alsa_output_pci_0000_00_14_2_analog_stereo" 
QDBusConnection for control created "/Mixers/PulseAudio__Capture_Devices_1/alsa_input_pci_0000_00_14_2_analog_stereo" 
QDBusConnection for control created "/Mixers/PulseAudio__Playback_Streams_1/stream_45" 
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "kmixd"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "kmixd"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "notificationhelper"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "notificationhelper"
kded(31469) KWrited::KWrited: listening on device /dev/pts/1
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "kwrited"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "kwrited"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "freespacenotifier"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "freespacenotifier"
kded(31469) X11Helper::getGroupNames: Fetched layout groups from X server: 	layouts: ("us", "ru") 	variants: ("", "")
kded(31469) Rules::readRules: Parsing xkb rules from "/usr/share/X11/xkb/rules/evdev.xml"
kded(31469) RulesHandler::startElement: xkbConfigRegistry version "1.1"
kded(31469)/kdecore (KLocale) KLocalizedStringPrivate::toString: Trying to convert empty KLocalizedString to QString.
kded(31469)/kdecore (KLocale) KLocalizedStringPrivate::toString: Trying to convert empty KLocalizedString to QString.
kded(31469)/kdecore (KLocale) KLocalizedStringPrivate::toString: Trying to convert empty KLocalizedString to QString.
kded(31469) Rules::readRules: Parsing xkb rules from "/usr/share/X11/xkb/rules/evdev.extras.xml"
kded(31469) mergeRules: Merged from extra rules: 12 layouts, 0 models, 0 option groups
kded(31469) KeyboardDaemon::configureKeyboard: Configuring keyboard
kded(31469) KeyboardConfig::load: configuring layouts true configuring options true
kded(31469) X11Helper::getGroupNames: Fetched keyboard model from X server: "hpzt11xx"
kded(31469) XkbHelper::runConfigLayoutCommand: Executed successfully in  130 ms "/usr/bin/setxkbmap -layout us,ru -option -option grp_led:scroll,grp:ctrl_shift_toggle"
kded(31469) XkbHelper::runConfigLayoutCommand: 	 and with xmodmap 130 ms
kded(31469) X11Helper::getGroupNames: Fetched layout groups from X server: 	layouts: ("us", "ru") 	variants: ("", "")
kded(31469)/kdeui (KNotification) KStatusNotifierItemDBus::KStatusNotifierItemDBus: service is "org.kde.StatusNotifierItem-31469-1"
kded(31469)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher
kded(31469) StatusNotifierWatcher::RegisterStatusNotifierItem: Registering "org.kde.StatusNotifierItem-31469-1/StatusNotifierItem" to system tray
kded(31469) X11Helper::getGroupNames: Fetched layout groups from X server: 	layouts: ("us", "ru") 	variants: ("", "")
kded(31469) X11Helper::getGroupNames: Fetched layout groups from X server: 	layouts: ("us", "ru") 	variants: ("", "")
kded(31469) X11Helper::getGroupNames: Fetched layout groups from X server: 	layouts: ("us", "ru") 	variants: ("", "")
kded(31469) KeyboardLayoutActionCollection::KeyboardLayoutActionCollection: Keyboard layout toggle shortcut "Ctrl+Alt+K"
kded(31469) KeyboardLayoutActionCollection::createLayoutShortcutActon: Registered layout shortcut "" for "Сменить раскладку клавиатуры на Английская (США)" lu.shortcut ""
kded(31469) KeyboardLayoutActionCollection::loadLayoutShortcuts: Skipping empty shortcut for "us"
kded(31469) KeyboardLayoutActionCollection::createLayoutShortcutActon: Registered layout shortcut "" for "Сменить раскладку клавиатуры на Русская" lu.shortcut ""
kded(31469) KeyboardLayoutActionCollection::loadLayoutShortcuts: Skipping empty shortcut for "ru"
kded(31469) KeyboardLayoutActionCollection::loadLayoutShortcuts: Cleaning component shortcuts on load true
kded(31469) XInputEventNotifier::registerForNewDeviceEvent: Registered for new device events from XInput, class 81
kded(31469) isRestoreSession: loginMode: ""
kded(31469) LayoutMemoryPersister::restoreFromFile: Restoring keyboard layout map from "/home/alykoshin/.kde/share/apps/kded/session/keyboard/layout_memory.xml"
kded(31469) LayoutMemoryPersister::restoreFromFile: Restored layouts for 41 containers
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "keyboard"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "keyboard"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "device_automounter"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "device_automounter"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "remotedirnotify"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "remotedirnotify"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "nepomuksearchmodule"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "nepomuksearchmodule"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "networkmanagement"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "networkmanagement"
kded(31469) KDEDModule::setModuleName: registerObject() successful for  "ktouchpadenabler"
kded(31469)/kded4 Kded::loadModule: Successfully loaded module "ktouchpadenabler"
kded(31469) KActivities::ConsumerPrivate::ConsumerPrivate: We are checking whether the service is present true
kded(31469) KActivities::ConsumerPrivate::initializeCachedData: Locking mutex for currentActivity
kded(31469) KActivities::ConsumerPrivate::initializeCachedData: Locking mutex for listActivities
kded(31469) KActivities::ConsumerPrivate::initializeCachedData: Locking mutex for runningActivities
kded(31469) PowerDevil::BackendLoader::loadBackend: Loading UPower backend...
kded(31469) PowerDevil::BackendLoader::loadBackend: Success!
kded(31469) KDEDPowerDevil::init: Backend loaded, loading core
kded(31469) PowerDevil::Core::loadCore: Core loaded, initializing backend
No outputs have backlight property
Traceback (most recent call last):
  File "/usr/share/apport/apport-checkreports", line 17, in <module>
    from apport.fileutils import get_new_reports, get_new_system_reports
ImportError: No module named apport.fileutils
kded(31469) AutomounterSettings::setDeviceLastSeenMounted: Marking "/org/freedesktop/UDisks/devices/sda1" as lastSeenMounted: true
kded(31469) DeviceAutomounter::automountDevice: Saving as "main"
kded(31469) AutomounterSettings::shouldAutomountDevice: Processing "/org/freedesktop/UDisks/devices/sda1"
kded(31469) AutomounterSettings::shouldAutomountDevice: type: 0
kded(31469) AutomounterSettings::shouldAutomountDevice: typeCondition: true
kded(31469) AutomounterSettings::shouldAutomountDevice: automountKnownDevices: true
kded(31469) AutomounterSettings::shouldAutomountDevice: deviceIsKnown: true
kded(31469) AutomounterSettings::shouldAutomountDevice: AutomountEnabled: true
kded(31469) AutomounterSettings::shouldAutomountDevice: Automount: false
kded(31469) AutomounterSettings::shouldAutomountDevice: LastSeenMounted: true
kded(31469) AutomounterSettings::shouldAutomountDevice: ShouldAutomount: true
kded(31469) DeviceAutomounter::automountDevice: Mounting "/org/freedesktop/UDisks/devices/sda1"
kded(31469) AutomounterSettings::setDeviceLastSeenMounted: Marking "/org/freedesktop/UDisks/devices/sda3" as lastSeenMounted: true
kded(31469) DeviceAutomounter::automountDevice: Saving as "Жёсткий диск (10,5 ГиБ)"
kded(31469) AutomounterSettings::shouldAutomountDevice: Processing "/org/freedesktop/UDisks/devices/sda3"
kded(31469) AutomounterSettings::shouldAutomountDevice: type: 0
kded(31469) AutomounterSettings::shouldAutomountDevice: typeCondition: true
kded(31469) AutomounterSettings::shouldAutomountDevice: automountKnownDevices: true
kded(31469) AutomounterSettings::shouldAutomountDevice: deviceIsKnown: true
kded(31469) AutomounterSettings::shouldAutomountDevice: AutomountEnabled: true
kded(31469) AutomounterSettings::shouldAutomountDevice: Automount: false
kded(31469) AutomounterSettings::shouldAutomountDevice: LastSeenMounted: true
kded(31469) AutomounterSettings::shouldAutomountDevice: ShouldAutomount: true
kded(31469) DeviceAutomounter::automountDevice: Mounting "/org/freedesktop/UDisks/devices/sda3"
kded(31469) AutomounterSettings::setDeviceLastSeenMounted: Marking "/org/freedesktop/UDisks/devices/sda6" as lastSeenMounted: true
kded(31469) DeviceAutomounter::automountDevice: Saving as "DATA"
kded(31469) AutomounterSettings::shouldAutomountDevice: Processing "/org/freedesktop/UDisks/devices/sda6"
kded(31469) AutomounterSettings::shouldAutomountDevice: type: 0
kded(31469) AutomounterSettings::shouldAutomountDevice: typeCondition: true
kded(31469) AutomounterSettings::shouldAutomountDevice: automountKnownDevices: true
kded(31469) AutomounterSettings::shouldAutomountDevice: deviceIsKnown: true
kded(31469) AutomounterSettings::shouldAutomountDevice: AutomountEnabled: true
kded(31469) AutomounterSettings::shouldAutomountDevice: Automount: false
kded(31469) AutomounterSettings::shouldAutomountDevice: LastSeenMounted: true
kded(31469) AutomounterSettings::shouldAutomountDevice: ShouldAutomount: true
kded(31469) DeviceAutomounter::automountDevice: Mounting "/org/freedesktop/UDisks/devices/sda6"
kded(31469) AutomounterSettings::setDeviceLastSeenMounted: Marking "/org/freedesktop/UDisks/devices/sda7" as lastSeenMounted: true
kded(31469) DeviceAutomounter::automountDevice: Saving as "boot"
kded(31469) AutomounterSettings::shouldAutomountDevice: Processing "/org/freedesktop/UDisks/devices/sda7"
kded(31469) AutomounterSettings::shouldAutomountDevice: type: 0
kded(31469) AutomounterSettings::shouldAutomountDevice: typeCondition: true
kded(31469) AutomounterSettings::shouldAutomountDevice: automountKnownDevices: true
kded(31469) AutomounterSettings::shouldAutomountDevice: deviceIsKnown: true
kded(31469) AutomounterSettings::shouldAutomountDevice: AutomountEnabled: true
kded(31469) AutomounterSettings::shouldAutomountDevice: Automount: false
kded(31469) AutomounterSettings::shouldAutomountDevice: LastSeenMounted: true
kded(31469) AutomounterSettings::shouldAutomountDevice: ShouldAutomount: true
kded(31469) DeviceAutomounter::automountDevice: Mounting "/org/freedesktop/UDisks/devices/sda7"
kded(31469) AutomounterSettings::setDeviceLastSeenMounted: Marking "/org/freedesktop/UDisks/devices/sdc1" as lastSeenMounted: true
kded(31469) DeviceAutomounter::automountDevice: Saving as "EXTDATA32"
kded(31469) AutomounterSettings::shouldAutomountDevice: Processing "/org/freedesktop/UDisks/devices/sdc1"
kded(31469) AutomounterSettings::shouldAutomountDevice: type: 0
kded(31469) AutomounterSettings::shouldAutomountDevice: typeCondition: true
kded(31469) AutomounterSettings::shouldAutomountDevice: automountKnownDevices: true
kded(31469) AutomounterSettings::shouldAutomountDevice: deviceIsKnown: true
kded(31469) AutomounterSettings::shouldAutomountDevice: AutomountEnabled: true
kded(31469) AutomounterSettings::shouldAutomountDevice: Automount: false
kded(31469) AutomounterSettings::shouldAutomountDevice: LastSeenMounted: true
kded(31469) AutomounterSettings::shouldAutomountDevice: ShouldAutomount: true
kded(31469) DeviceAutomounter::automountDevice: Mounting "/org/freedesktop/UDisks/devices/sdc1"
kded(31469)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kded(31469) X11Helper::getGroupNames: Fetched layout groups from X server: 	layouts: ("us", "ru") 	variants: ("", "")
kded(31469) KAuth::Polkit1Backend::preAuthAction:
kded(31469) KAuth::Polkit1Backend::preAuthAction: Parent widget does not exist, skipping
kded(31469) KActivities::ConsumerPrivate::currentActivityCallFinished: Unlocked mutex
kded(31469) KActivities::ConsumerPrivate::listActivitiesCallFinished: Unlocked mutex
kded(31469) KActivities::ConsumerPrivate::runningActivitiesCallFinished: Unlocked mutex
kded(31469) StatusNotifierWatcher::RegisterStatusNotifierItem: Registering "org.kde.StatusNotifierItem-14265-1/StatusNotifierItem" to system tray
kded(31469) StatusNotifierWatcher::RegisterStatusNotifierItem: Registering "org.kde.StatusNotifierItem-13921-1/StatusNotifierItem" to system tray
kded(31469) KScreenDaemon::applyConfig: Applying config
kded(31469) Serializer::currentId: Part of the Id:  "4274f35b524aebf3e5cb52c024e5143a"
kded(31469) Serializer::currentId: Part of the Id:  "3d9075b73c5b54a13af9048acadab6d8"
kded(31469) KScreenDaemon::applyKnownConfig: Applying known config
kded(31469) Serializer::currentId: Part of the Id:  "4274f35b524aebf3e5cb52c024e5143a"
kded(31469) Serializer::currentId: Part of the Id:  "3d9075b73c5b54a13af9048acadab6d8"
kded(31469) Serializer::findOutput: Finding a mode with:
kded(31469) Serializer::findOutput: QSize(1920, 1080)
kded(31469) Serializer::findOutput: "60"
kded(31469) Serializer::findOutput: Found:  "1327"   "1920x1080"
kded(31469) Serializer::findOutput: Finding a mode with:
kded(31469) Serializer::findOutput: QSize(1280, 800)
kded(31469) Serializer::findOutput: "59.976"
kded(31469) Serializer::findOutput: Found:  "106"   "1280x800"
kded(31469)/KSRandr: BEGIN: Applying KScreen Config
kded(31469)/KSRandr  : BEGIN: Calculating screen size
kded(31469)/KSRandr     XRandRConfig::screenSize: Output:  "VGA-0"  Size:  QSize(1920, 1080)  Pos:  QPoint(1280,0)
kded(31469)/KSRandr     XRandRConfig::screenSize: Disabled/Disconnected output:  "DIN"
kded(31469)/KSRandr     XRandRConfig::screenSize: Output:  "LVDS"  Size:  QSize(1280, 800)  Pos:  QPoint(0,0)
kded(31469)/KSRandr     XRandRConfig::screenSize: Requested screen size is QSize(3200, 1080)
kded(31469)/KSRandr  : END__: Calculating screen size [Took: 0s]
kded(31469)/KSRandr   XRandR::outputCrtc: Output 81 has CRTC 79
KCrash: Attempting to start /usr/bin/kded4 from kdeinit
sock_file=/home/alykoshin/.kde/socket-alykoshin-nb-kubuntu/kdeinit4__0
KCrash: Application 'kded4' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/alykoshin/.kde/socket-alykoshin-nb-kubuntu/kdeinit4__0

[1]+  Остановлено  kded4 --nofork
alykoshin@alykoshin-nb-kubuntu:~/webrtc/8-Test$
Comment 9 Alexander 2013-07-01 18:08:05 UTC
Created attachment 80884 [details]
"kscreen-console bug" output after crash
Comment 10 Alexander 2013-07-01 18:09:44 UTC
(In reply to comment #9)
> Created attachment 80884 [details]
> "kscreen-console bug" output after crash

And after unsuccessful "killall -9 kded4; kded4 --nofork"
Comment 11 Alex Fiestas 2013-07-25 20:58:22 UTC
Git commit d9b3fc64ba1bf88805478cafd0545857c0eb71be by Àlex Fiestas.
Committed on 25/07/2013 at 20:50.
Pushed by afiestas into branch 'master'.

Use the information from currentOutput, not from the unapplied config

Before this patch, we were looking for the size of the current Mode
in the Output object of the config that is passed to Config::setConfig
which either can or can't have the wanted Mode.

This has been kinda working so far because and ONLY because in
Generator (from kscreen/kded) we use the currentConfig as the base for
the config that we are generating, so all modes are included.

CCMAIL: dvratil@redhat.com
Related: bug 321708, bug 321699
FIXED-IN: 1.0.1

M  +1    -1    backends/xrandr/xrandrconfig.cpp
M  +5    -0    backends/xrandr/xrandrmode.cpp
M  +1    -0    backends/xrandr/xrandrmode.h
M  +10   -0    backends/xrandr/xrandroutput.cpp
M  +1    -0    backends/xrandr/xrandroutput.h

http://commits.kde.org/libkscreen/d9b3fc64ba1bf88805478cafd0545857c0eb71be